%define qtdir %_qt3dir
%define _optlevel s

Name: kio-apt
Version: 0.13.2
Release: alt1

Group: System/Configuration/Packaging
Summary: An apt:/ protocol in konqueror
License: GPL
URL: http://lpnotfr.free.fr

Requires: kdelibs >= %{get_version kdelibs}
Requires: apt

Source: %{name}-%{version}.tar.bz2
Source1: ru.po
# ALT
Patch1: 0.11-autoconf.patch
Patch2: 0.11-flags.patch
Patch3: 0.11-fix-compile.patch
Patch4: 0.11-fix-compile-gcc3.4.patch

# Automatically added by buildreq on Thu May 06 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel qt3-designer zlib-devel
BuildRequires: xorg-x11-devel fontconfig
BuildRequires: freetype2 gcc-c++ kde-settings kdelibs-devel
BuildRequires: libjpeg-devel libpng-devel libqt3-devel
BuildRequires: libstdc++-devel qt3-designer zlib-devel

%description
An apt:/ protocol in konqueror which provides apt-cache functionalities :
 - apt:/search?search_string
 - apt:/show?package
 - apt:/policy?package
   and a few rpm functionalities too:
 - apt:/list?package lists the file in a package
 - apt:/fsearch?file finds the package which owns the specified file
Any non-valid url including apt:/, shows a page with a query form
When a package is listed in the results, it is shown as an hyperlink.
When kpkgmanager is installed, it show install and remove buttons.

%prep
%setup -q
#%patch1 -p1
#%patch2 -p1
%patch3 -p1
#%patch4 -p1

install -m 0644 %SOURCE1 po/

pushd po
for f in `ls -1 *-utf.po`
do
    mv $f `echo $f| sed "s|\-utf||"`
done
popd

#subst "s/\.la/.so/g" configure
#subst "s/\-lkdeui/-lkdeui -lpthread/g" configure
#subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
#subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" admin/acinclude.m4.in
#subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
#subst "s/\.la/.so/g" admin/acinclude.m4.in
make -f admin/Makefile.common cvs

%build
export QTDIR=%qtdir
%configure \
    --disable-static \
    --enable-shared \
    --disable-debug \
    --with-xinerama \
    --enable-dependency-tracking \
    --program-prefix="" \
    --disable-rpath \
%ifarch x86_64
    --enable-libsuffix=64 \
%endif
    --without-arts \
    --with-rpm

%make_build


%install
%make DESTDIR=%buildroot install
pushd %buildroot/%_datadir/locale
for f in `find -type f -name *.mo`
do
    mv $f `echo $f| sed "s|\-apt|_apt|"`
done
popd
%find_lang --with-kde kio_apt


#files -f kio_apt.lang
%files
%doc debian/changelog debian/copyright
%_libdir/kde3/kio_apt.*
%_datadir/apps/kio_apt/
%_datadir/services/apt.protocol
%_datadir/services/searchproviders/apt-*.desktop

%changelog
* Thu Mar 29 2007 Sergey V Turchin <zerg at altlinux dot org> 0.13.2-alt1
- new version

* Mon Nov 20 2006 Sergey V Turchin <zerg at altlinux dot org> 0.13.1-alt1
- new version

* Wed Dec 28 2005 Sergey V Turchin <zerg at altlinux dot org> 0.13-alt1
- new version

* Thu Jan 27 2005 Sergey V Turchin <zerg at altlinux dot org> 0.11-alt3
- rebuild with gcc3.4

* Tue Jul 06 2004 Sergey V Turchin <zerg at altlinux dot org> 0.11-alt2
- fix requires

* Thu May 06 2004 Sergey V Turchin <zerg at altlinux dot org> 0.11-alt1
-initial spec 
